> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses customers payment methods



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/customers/{customerId}/payment-methods
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/customers/{customerId}/payment-methods:
    get:
      tags:
        - CustomerPaymentMethod
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: page
          in: query
          schema:
            type: integer
            format: int32
        - name: pageSize
          in: query
          schema:
            type: integer
            format: int32
        - name: sortBy
          in: query
          schema:
            type: string
        - name: sortDirection
          in: query
          schema:
            type: string
        - name: businessId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SmartbillsSDKDTOCoreSBListOfSBPaymentMethodResponse
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
components:
  schemas:
    SmartbillsSDKDTOCoreSBListOfSBPaymentMethodResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodResponse'
          nullable: true
        pagination:
          $ref: '#/components/schemas/SmartbillsSDKDTOCorePaginationMetadata'
      additionalProperties: false
    PaymentMethodsSBPaymentMethodResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        stripeId:
          type: string
          nullable: true
        setupIntentId:
          type: string
          nullable: true
        billingAddress:
          $ref: '#/components/schemas/DTOBillingAddress'
        card:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodCardResponse'
        bankAccount:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodBankResponse'
        giftCard:
          $ref: '#/components/schemas/PaymentMethodsSBPaymentMethodGiftCardResponse'
        type:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        description:
          type: string
          nullable: true
        businessId:
          type: integer
          format: int64
          nullable: true
        userId:
          type: integer
          format: int64
          nullable: true
        assignedToUserId:
          type: integer
          format: int64
          nullable: true
        wallet:
          type: string
          nullable: true
      additionalProperties: false
    SmartbillsSDKDTOCorePaginationMetadata:
      type: object
      properties:
        count:
          type: integer
          format: int32
        pageCount:
          type: integer
          format: int32
        currentPage:
          type: integer
          format: int32
        limit:
          type: integer
          format: int32
      additionalProperties: false
    DTOBillingAddress:
      type: object
      properties:
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/DTOAddress'
        company:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodCardResponse:
      type: object
      properties:
        last4:
          type: string
          nullable: true
        dynamicLast4:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
        tokenizationMethod:
          type: string
          nullable: true
        expirationMonth:
          type: integer
          format: int64
        expirationYear:
          type: integer
          format: int64
        brand:
          type: string
          nullable: true
        displayBrand:
          type: string
          nullable: true
        bin:
          type: string
          nullable: true
        wallet:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodBankResponse:
      type: object
      properties:
        bankName:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        accountType:
          type: string
          nullable: true
        routingNumber:
          type: string
          nullable: true
        fingerprint:
          type: string
          nullable: true
        institutionNumber:
          type: string
          nullable: true
        transitNumber:
          type: string
          nullable: true
      additionalProperties: false
    PaymentMethodsSBPaymentMethodGiftCardResponse:
      type: object
      properties:
        provider:
          type: string
          nullable: true
        last4:
          type: string
          nullable: true
        balance:
          type: integer
          format: int64
          nullable: true
        currency:
          type: string
          nullable: true
        expirationDate:
          type: string
          format: date-time
          nullable: true
        notes:
          type: string
          nullable: true
      additionalProperties: false
    DTOAddress:
      type: object
      properties:
        line1:
          type: string
          nullable: true
        line2:
          type: string
          nullable: true
        city:
          type: string
          nullable: true
        state:
          type: string
          nullable: true
        stateCode:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        countryCode:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        location:
          $ref: '#/components/schemas/AddressesCoordinates'
        googlePlaceId:
          type: string
          nullable: true
        formattedAddress:
          type: string
          nullable: true
      additionalProperties: false
    AddressesCoordinates:
      type: object
      properties:
        longitude:
          type: number
          format: double
        latitude:
          type: number
          format: double
      additionalProperties: false

````